Skip to main content
GET
Get Stored File

Authorizations

X-API-KEY
string
header
required

Path Parameters

file_id
string
required

The UUID of the file to get

Query Parameters

presigned_ttl_seconds
integer | null

If set, and the file is private AND already stored, storage_url is returned as a presigned URL valid for this many seconds. For any other file (public, not yet stored, or deleted) the default storage_url is returned unchanged. See the private files guide.

Required range: x <= 604800

Response

Successful Response

Represents a file stored by rendi. Could either be an uploaded file or a file generated by running a command.

This model contains metadata about files stored in rendi storage, including file details, media information, and storage location.

file_id
string
required

Unique identifier for the stored file

Example:

"987fcdeb-a89b-43d3-b456-789012345678"

environment_name
string | null

The environment this file was stored in (e.g., 'main', 'test', 'dev').

Example:

"main"

storage_url
string | null

URL where the file is stored

Example:

"https://storage.rendi.dev/123e4567-e89b-12d3-a456-426614174000/output.avi"

status
enum<string> | null

Status of the file

Available options:
QUEUED,
DOWNLOADING,
DOWNLOADED,
UPLOADED,
FAILED,
STORED
Example:

"STORED"

rendi_store_type
enum<string> | null

Type of storage of the file in rendi

Available options:
INPUT,
OUTPUT,
STORED_FILE
Example:

"STORED_FILE"

error_status
string | null

Status of any error that occurred during file processing

Example:

"UNREACHABLE_INPUT_FILE"

external_error_message
string | null

Error details if the file failed to be processed

Example:

"Input file url https://rendi.dev/example is not reachable."

is_deleted
boolean | null

Whether the file has been deleted

Example:

false

size_mbytes
number | null

Size of the output file or folder in megabytes

Example:

15.2

file_count
integer | null

Number of files in the output folder/playlist

Example:

5

size_compressed_mbytes
number | null

Size of the output compressed folder in megabytes

Example:

15.2

is_private
boolean | null

Whether the file is stored privately. Private files are accessible via their storage_url only if you request a presigned URL by passing presigned_ttl_seconds on GET /v1/files/{file_id} (for a single file) or GET /v1/commands/{command_id} (for a command's output files) to receive a time-limited downloadable URL. Not available on free plans.

Example:

false

original_file_url
string | null

URL of the original file (or just name in case of uploaded file)

Example:

"https://somehwereonline.stored.com/file_to_store.mp4"

duration
number | null

Duration of the media file in seconds

Example:

30.5

file_type
string | null

Type of the media file (video, audio, image, subtitles, etc.)

Example:

"video"

file_format
string | null

Format/container of the media file

Example:

"avi"

width
integer | null

Width of the video in pixels

Example:

1920

height
integer | null

Height of the video in pixels

Example:

1080

codec
string | null

Codec used for the media file

Example:

"msmpeg4v2"

timebase
string | null

How time is represented in the media file

Example:

"1/25"

pixel_format
string | null

How the pixel data is stored in the media file

Example:

"yuv420p"

mime_type
string | null

MIME type of the media file

Example:

"video/mp4"

frame_rate
number | null

Frame rate of the video in frames per second

Example:

30

bitrate_video_kb
number | null

Video bitrate in kilobits per second

Example:

4000

bitrate_audio_kb
number | null

Audio bitrate in kilobits per second

Example:

128

video_profile_level
string | null

Video profile level

Example:

"main"

is_varying_frame_rate
boolean | null

Whether the video has a variable frame rate

Example:

false